create_air_region

Modeler2D.create_air_region(x_pos=0, y_pos=0, z_pos=0, x_neg=0, y_neg=0, z_neg=0)

Create an air region.

Parameters
x_posfloat, optional

Padding in percent in the +X direction (+R for 2D RZ). The default is 0.

y_posfloat, optional

Padding in percent in the +Y direction. The default is 0.

z_posfloat, optional

Padding in percent in the +Z direction. The default is 0.

x_negfloat, optional

Padding in percent in the -X direction (-R for 2D RZ). The default is 0.

y_negfloat, optional

Padding in percent in the -Y direction. The default is 0.

z_negfloat, optional

Padding in percent in the -Z direction. The default is 0.

Returns
list

List of [x_pos, y_pos, z_pos, x_neg, y_neg, z_neg] coordinates for the region created.

References

>>> oEditor.CreateRegion